Bug 7549 - [3.1] инсталер вываливается при отпаде одного из модулей
: [3.1] инсталер вываливается при отпаде одного из модулей
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/alterator)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 7079 9199
  Show dependency tree
 
Reported: 2005-08-03 21:39 by
Modified: 2013-08-15 19:08 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-08-03 21:39:21
думается, install3 лучше быть более устойчивым к сбоям отдельных модулей --
сейчас выпадение, скажем, timezone приводит к провалу настройки xorg (вот
только
что наблюдал в init 7 на машинке, где попытался при установке вернуться из xorg
в timezone)
------- Comment #1 From 2005-08-04 13:33:29 -------
Это конечно справедливо, но невозможно решить в общем случае. Поскольку у нас
там фактически идёт исполнение одного сприкта, разные его части могут обрушить
его полностью. Можно конечно навесить обработчиков на всякие случаи ошибок, но
это в будущем.
------- Comment #2 From 2005-08-04 14:09:24 -------
Понимаю, но строго говоря -- происхождение проблемы не влияет на её
критичность... только на решаемость/сроки.

Там exit или сигналы трапать можно пытаться?  И получается ли изолировать
модули
отдельными процессами (sh ...)? (не знаю, что именно там отвалилось -- как бы
выяснить?)
------- Comment #3 From 2006-03-09 14:28:37 -------
Стас, с этим у нас всё ещё глухо ?
------- Comment #4 From 2006-03-09 15:19:35 -------
оно не глухо, просто пока ещё не вставлено, а какое поведение должно быть?
Завершаться видимо ... а тогда в случае installer по идее без разницы как
падать.

Вот в acc это надо будет вставить.
------- Comment #5 From 2006-03-09 16:18:54 -------
Так как раз от installer хочется иметь возможность пусть и с предупреждениями,
что на свою голову и всё взорвётся, но довести установку и иметь шанс
разобраться с новым/кривым железом, слепой читалкой или царапанным носителем
уже
в живой системе.

См. #7291.
------- Comment #6 From 2006-03-09 16:44:48 -------
а если следующий шаг после взорвавшегося зависит от оного?
Зачем нужна такая детонация?
------- Comment #7 From 2006-03-12 19:35:26 -------
Значит следующий тоже взорвется.
А вот через один не взорвется.
Чем больше всего отработает, перед тем как придется лезть ручками все править --
тем лучше.
------- Comment #8 From 2007-03-29 17:55:15 -------
Ну install3 уже нет, а к install2 это ещё относится?
------- Comment #9 From 2007-03-29 20:50:16 -------
(In reply to comment #8)
> Ну install3 уже нет, а к install2 это ещё относится?

относится
------- Comment #10 From 2007-04-06 20:46:12 -------
Сейчас инсталлятор полностью основывается на alterator. Поэтому требование к
устойчивости относится к нему, а не к alterator-install2.

Component => alterator
------- Comment #11 From 2013-08-15 19:08:41 -------
apparently wontfix